--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Delete all records from table. You can also use #delete_all."
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*reset_recno_ctr*:"
    body: true/false specifying whether recno counter should be reset to 0.
  type: :NOTE
full_name: KirbyBase::KBTable#clear
is_singleton: false
name: clear
params: (reset_recno_ctr=true)
visibility: public
